%global gem_name capillary

Name: rubygem-%{gem_name}
Version: 1.0.3
Release: 3%{?dist}
Summary: Generate a JSON payload from Git log output
Group: Development/Languages
License: AGPLv3+
URL: http://gitorious.org/capillary
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
# Remove dependency on mini_shoulda gem.
# Submitted upstream at:
# https://gitorious.org/capillary/capillary_rb/merge_requests/8
Patch0: rubygem-capillary-no-minishoulda.patch
Requires: ruby(release)
Requires: ruby(rubygems)
Requires: rubygem(json)
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: rubygem(minitest)
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

# The ruby(release) package already provides a usable Ruby interpreter.
# Filter the extra /usr/bin/ruby requirement here.
%global __requires_exclude ^/usr/bin/ruby$

%description
Capillary works in conjunction with capillary.js, which outputs a beautiful
graphical representation of your repository history.

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

# Fix shebang
sed -i -e 's|#!/usr/bin/env ruby|#!/usr/bin/ruby|' bin/%{gem_name}

# Remove dependency on mini_shoulda gem
%patch0 -p 1
# We're dynamically assembling the gemspec file, so we have to remove
# mini_shoulda with sed, instead of a patch.
sed -e '\|mini_shoulda|d' -i %{gem_name}.gemspec

# Remove dependency on bundler
sed -e '\|require "bundler/setup"|d' -i test/test_helper.rb

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

%gem_install

# Remove unnecessary files
pushd .%{gem_instdir}/
  rm %{gem_name}.gemspec
  rm Gemfile
  rm Gemfile.lock
  rm Rakefile
popd

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{_bindir}
cp -pa .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
  testrb -Ilib:test test/capillary/*_test.rb
popd

%files
%dir %{gem_instdir}
%doc %{gem_instdir}/LICENSE
%doc %{gem_instdir}/README
%{_bindir}/capillary
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/test

%changelog
* Wed Oct 09 2013 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.0.3-3
- Adjust mini_shoulda gemspec removal regex to remove during %%prep

* Tue Oct 08 2013 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.0.3-2
- Remove mini_shoulda from installed gemspec
- Add "test" directory to load-path during %%check
- Move README to main package
- Do not ship Gemfile, Gemfile.lock, Rakefile, or tests
- Remove /usr/bin/env and /usr/bin/ruby from auto-requirements

* Mon Oct 07 2013 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.0.3-1
- Update to capillary 1.0.3
- Drop License file, since upstream ships their own
- Drop EL6 support

* Sat Feb 16 2013 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.0.2-1
- Update to capillary 1.0.2
- Remove upsteamed patch for reading test fixtures as utf-8
- Update license to AGPLv3+
- RHEL 6 compatibility

* Thu Aug 09 2012 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.0.1-1
- Initial package, created by gem2rpm 0.8.1
